# Session::listClients

(No version information available, might only be in Git)

Session::listClients — Get client list

### Description

public mysql_xdevapi\Session::listClients ( void ) : array

Get a list of client connections to the session's MySQL server.

### Parameters

This function has no parameters.

### Return Values

An array containing the currently logged clients. The array elements are "client_id", "user", "host", and "sql_session".

### Examples

Example #1 mysql_xdevapi\Session::listClients() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$ids = $session->listClients();
var_dump($ids);
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(4) {
        ["client_id"]=>
        int(61)
        ["user"]=>
        string(4) "root"
        ["host"]=>
        string(9) "localhost"
        ["sql_session"]=>
        int(72)
      }
    }